<?php

namespace Litecms\Task\Seeders;

use DB;
use Illuminate\Database\Seeder;

class TaskTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tasks')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'task.task.view',
                'name'      => 'View Task',
            ],
            [
                'slug'      => 'task.task.create',
                'name'      => 'Create Task',
            ],
            [
                'slug'      => 'task.task.edit',
                'name'      => 'Update Task',
            ],
            [
                'slug'      => 'task.task.delete',
                'name'      => 'Delete Task',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/task/task',
                'name'        => 'Task',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/task/task',
                'name'        => 'Task',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'task',
                'name'        => 'Task',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Task',
                'module'    => 'Task',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'task.task.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
