<?php

namespace Litecms\Task\Repositories\Eloquent;

use Litecms\Task\Interfaces\TaskRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Task\Repositories\Eloquent\Presenters\TaskItemPresenter;


class TaskRepository extends BaseRepository implements TaskRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.task.task.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.task.task.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return TaskItemPresenter::class;
    }
}
